Skip to main content
Operations Management/Billing Management Operations
PUTBilling Management OperationsSince 3.7.2SynchronousAuth Required

ChangeAccountPriceTableBinding

ChangeAccountPriceTableBinding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • accountUuidStringRequired

    The account UUID.

  • tableUuidStringRequired

    The price table UUID.

Body Fields

  • changeaccountpricetablebindingObjectRequired

    changeaccountpricetablebinding request body object.

    • resourceUuidString

      Optional.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryPriceTableInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The name of the price table.

    • descriptionStringRequired

      The detailed description of the price table.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/billings/price-tables/{tableUuid}/accounts/{accountUuid}

/zstack/v1/billings/price-tables/{tableUuid}/accounts/{accountUuid}

Operation ID

ChangeAccountPriceTableBinding

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/billings/price-tables/{tableUuid}/accounts/{accountUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeaccountpricetablebinding":{"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "5e642eb0820b312086f0b084d656c0cf" } }

Change History

This API has no change history records yet.

View all change history